
public class Lock {

   private boolean isLocked = false;

   public synchronized void lock() {
      while ( isLocked ) {
         try {
            wait();
         } catch ( InterruptedException e ) {
            System.out.println( e );
            System.exit( 2 );
         }
      }
      isLocked = true;
   }

   public synchronized void unlock(){
      isLocked = false;
      notify();
   }

   public void Acquire() {
      lock();
   }

   public void Release() {
      unlock();
   }
}

